Summary: CentOS Atomic Host metadata and configs
Name: centos-release-atomic
Epoch: 0
Version: 7
Release: 5%{?dist}
License: GPL
Group: System Environment/Base
Source0: centos-atomic-host.conf
Source1: RPM-GPG-KEY-CentOS-SIG-Atomic
Source2: 90-default.preset

URL: http://wiki.centos.org/SpecialInterestGroup/Atomic
BuildArch: noarch
BuildRequires: gnupg2

Provides: centos-release-atomic
Requires: centos-release

BuildRoot: %{_tmppath}/%{name}-root

%description
rpm ostree repo definitions for the CentOS Atomic Host.

%prep
%setup -q -n %{name} -T -c

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/etc/ostree/
mkdir -p -m 755 $RPM_BUILD_ROOT/etc/ostree/remotes.d
install -m 644 %SOURCE0 $RPM_BUILD_ROOT/etc/ostree/remotes.d

mkdir -p -m 755 $RPM_BUILD_ROOT/usr/share/ostree/trusted.gpg.d
%{__gpg} --homedir $RPM_BUILD_ROOT/usr/share/ostree/trusted.gpg.d --import %SOURCE1

# copy systemd presets
mkdir -p %{buildroot}/%{_prefix}/lib/systemd/system-preset/
install -m 0644 %{SOURCE2} %{buildroot}/%{_prefix}/lib/systemd/system-preset/

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%config(noreplace) /etc/ostree/remotes.d/*
%config(noreplace) /usr/share/ostree/trusted.gpg.d/*
%{_prefix}/lib/systemd/system-preset/*

%changelog
* Thu Aug  2 2018 Johnny Hughes <johnny@centos.org>
-Add new presets

* Mon Jun 15 2015 Colin Walters <walters@redhat.com> - 0:7-1.2.1
- Use centos-atomic-host consistently; the installer OS name and remote
  include the "-host" suffix, which we should be using too.

* Wed Jun 10 2015 Karanbir Singh <kbsingh@centos.org> - 7-1.2.el7.centos
- Add gpg keys
- rework the remote urls to point at final destination

* Thu Nov 6 2014 Karanbir Singh <kbsingh@centos.org> - 1-1
- Basic setup with the repo files so we can start testing
